Bug 214354 - The amount of the memory allocation is changed to the limit of the maximum memory, when a VM starts.
The amount of the memory allocation is changed to the limit of the maximum me...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 02:50 EST by mizushima.kazuk@jp.fujitsu.com
Modified: 2010-10-22 02:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 21:10:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this bug (2.66 KB, patch)
2006-11-10 05:24 EST, Daniel Veillard
no flags Details | Diff

  None (edit)
Description mizushima.kazuk@jp.fujitsu.com 2006-11-07 02:50:12 EST
Description of problem:
 The amount of memory allocation is changed to the limit of maximum 
memory after creating a VM  based on the XML file which dumped from
a VM with changing amount of memory allocation.

Version-Release number of selected component (if applicable):
 libvirt-0.1.7-2.src.rpm
  Version     : 0.1.7
  Release     : 2

How reproducible:
 everytime

Steps to Reproduce:
 1.Start domain
   #virsh create /tmp/vm.xml
 2.Change amount of memory allocation
   #virsh setmem 14 128000
 3.Dump xml
   #virsh dumpxml > /tmp/vm1.xml
 4.Stop domain
   #virsh shutdown vm
 5.Start domain
   #virsh create /tmp/vm1.xml

Actual results:
 The amount of memory allocation is changed to the limit 
of maximum memory after creating a VM based on the XML file 
which dumped from a VM with changing amount of memory allocation.

Expected results:
 The amount of memory allocation is succeeded to after creating 
a VM based on the XML file which dumped from a VM with changing 
amount of memory allocation.

Additional info:
 The XML file which I used is attached.
Comment 1 Daniel Veillard 2006-11-10 05:23:09 EST
I have a patch for this, I just commited it upstream with extra regression
tests. I checked, with a RHEL5b2 domu resized from 385Mb to 175Mb, the XML
dump now says:
  <memory>394240</memory>
  <currentMemory>179200</currentMemory>
and the domain is now recreated as expected, xm list --long says:
    (memory 175)
    (shadow_memory 0)
    (maxmem 385)

So I guess this fixes it. Patch enclosed, however I have no garantee it will
make RHEL5 GA,

Daniel
Comment 2 Daniel Veillard 2006-11-10 05:24:41 EST
Created attachment 140876 [details]
patch for this bug
Comment 3 RHEL Product and Program Management 2006-11-20 11:00:28 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Daniel Veillard 2006-11-22 09:03:37 EST
Patch commited in libvirt upstream

Daniel
Comment 5 Jay Turner 2006-12-06 22:45:11 EST
QE ack for RHEL5.
Comment 6 Daniel Veillard 2006-12-07 06:40:42 EST
Okay libvirt-0.1.8-6.el5 has been built with the fix,

Daniel
Comment 7 Stephen Tweedie 2006-12-07 11:28:51 EST
Requesting exception for 5.0.0 --- patch and package both ready and waiting to
go, and QA have approved testing.
Comment 9 RHEL Product and Program Management 2006-12-22 21:10:13 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.